type: object
required:
  - firstName
  - lastName
  - email
  - type
examples:
  vip:
    user: 1
    firstName: Tyler
    lastName: Durden
    email: tyler@test.com
    companyName: ACME Inc.
    type: VIP
  guest:
    user: 2
    firstName: Bob
    lastName: Paulson
    email: bob@test.com
    companyName: ACME Inc.
    type: GUEST
properties:
  user:
    type: integer
    format: int64
    minimum: 1
    example: 1
  firstName:
    type: string
    example: "Tyler"
  lastName:
    type: string
    example: "Durden"
  email:
    type: string
    format: email
    example: "tyler@test.com"
  companyName:
    type: string
    example: ACME Inc.
  type:
    type: string
    enum:
      - GUEST
      - VIP
      - HOST
    default: GUEST
  nominationName:
    type: string
    example: "Jake" 
  nominationEmail:
    type: string
    example: "Jake@text.com"  
  job:
    type: string
    example: "Developer"  
  contact:
    type: string
    example: "00000000"     

